# Interface methods for submodule: MetaDataObjectBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightObjectProxy as _LightObjectProxy


# Interface methods for class: MetaDataObjectBase
class MetaDataObjectBaseProxy(_LightObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetMetaDataObjectTypeName(self):
		""""""
		...

	def GetMetaDataObjectTypeInfo(self):
		""""""
		...

	def Print(self, os) -> None:
		""""""
		...

